com.rscja.deviceapi.entity

## Class BDLocation

- java.lang.Object
- - com.rscja.deviceapi.entity.BDLocation

-     public class BDLocation
      extends java.lang.Object

  北斗导航位置信息实体类
  BD location class
  Author:
    liuruifeng

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BDLocation(double lat, double lon, double altitude, java.lang.String navType)`
    `BDLocation(double lat, double lon, java.lang.String navType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `double` | `getAltitude()` 海拔 get Altitude
    `double` | `getLat()` 纬度,北纬为正数，南纬为负数 Get latitude, North latitude use positive number, South latitude use negative number.
    `double` | `getLon()` 经度，东经为正数，西经为负数 Get longtitude, East longtitude use positive number, West longtitude use negative number.
    `java.lang.String` | `getNavType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BDLocation

          public BDLocation(double lat,
                            double lon,
                            double altitude,
                            java.lang.String navType)

      Parameters:
        `lat` - 纬度
        latitude
        `lon` - 经度
        longtitude
        `altitude` - 海拔
        altitude
        `navType` - 定位标识：GP - GPS 系统单独定位；BD - 北斗系统单独定位；GN - GPS 与北斗系统混合定位；
        Navagation type, GP for GPS, BD for Beidou, GN for GPS abd Beidou combined.

    - #### BDLocation

          public BDLocation(double lat,
                            double lon,
                            java.lang.String navType)

  - ### Method Detail

    - #### getLat

          public double getLat()

      纬度,北纬为正数，南纬为负数
      Get latitude, North latitude use positive number, South latitude use negative number.
      Returns:
        返回维度

    - #### getLon

          public double getLon()

      经度，东经为正数，西经为负数
      Get longtitude, East longtitude use positive number, West longtitude use negative number.
      Returns:
        返回经度

    - #### getNavType

          public java.lang.String getNavType()

    - #### getAltitude

          public double getAltitude()

      海拔
      get Altitude
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`